package com.ruoyi.mxjb.mapper;

import com.ruoyi.mxjb.domain.MxjbStudyStat;

import java.util.List;
import java.util.Map;

/**
 * 组卷记录Mapper接口
 * 
 * @author mingxue
 * @date 2021-06-12
 */
public interface MxjbStudyMapper
{
    MxjbStudyStat selectStudyLoginStatByStudent(Map cond);

    List<MxjbStudyStat> selectStudyRegisters(Map cond);
    List<MxjbStudyStat> selectStudyVideoByStudent(Map cond);
    List<MxjbStudyStat> selectSchoolQuestionByStudent(Map cond);
    /**
     * 跨库查询年级登陆学生登陆信息
     * @param cond
     * @return
     */
    List<MxjbStudyStat> selectStudyLogins(Map cond);

    /**
     * 查询 视频微课统计，按学校
     * @param cond
     * @return
     */
    List<MxjbStudyStat> selectStudyVideos(Map cond);

    /**
     * 查询 做题统计，按学校
     * @param cond
     * @return
     */
    List<MxjbStudyStat> selectStudyQuestions(Map cond);

    /**
     * 查询 视频微课分类统计
     * @param cond
     * @return
     */
    List<MxjbStudyStat> selectStudyVideoByCourse(Map cond);

    /**
     * 查询 做题分类统计
     * @param cond
     * @return
     */
    List<MxjbStudyStat> selectStudyQuestionByCourse(Map cond);


    /**
     * 查询 视频微课明细
     * @param cond
     * @return
     */
    List<MxjbStudyStat> selectStudyVideoDetails(Map cond);

    /**
     * 查询 做题明细
     * @param cond
     * @return
     */
    List<MxjbStudyStat> selectStudyQuestionDetails(Map cond);

    /**
     * 查询 视频微课汇总
     * @param cond
     * @return
     */
    MxjbStudyStat selectStudyVideoTotal(Map cond);

    /**
     * 查询 做题汇总
     * @param cond
     * @return
     */
    MxjbStudyStat selectStudyQuestionTotal(Map cond);
}
